org.encog.app.analyst.script

## Class ScriptLoad

- java.lang.Object
- - org.encog.app.analyst.script.ScriptLoad

-     public class ScriptLoad
      extends Object

  Used to load an Encog Analyst script.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COLUMN_FIVE` Column 5.
    `static int` | `COLUMN_FOUR` Column 4.
    `static int` | `COLUMN_ONE` Column 1.
    `static int` | `COLUMN_THREE` Column 3.
    `static int` | `COLUMN_TWO` Column 2.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptLoad(AnalystScript theScript)` Construct a script loader.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `load(InputStream stream)` Load an Encog script.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLUMN_ONE

          public static final int COLUMN_ONE

      Column 1.
      See Also:
        Constant Field Values

    - #### COLUMN_TWO

          public static final int COLUMN_TWO

      Column 2.
      See Also:
        Constant Field Values

    - #### COLUMN_THREE

          public static final int COLUMN_THREE

      Column 3.
      See Also:
        Constant Field Values

    - #### COLUMN_FOUR

          public static final int COLUMN_FOUR

      Column 4.
      See Also:
        Constant Field Values

    - #### COLUMN_FIVE

          public static final int COLUMN_FIVE

      Column 5.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScriptLoad

          public ScriptLoad(AnalystScript theScript)

      Construct a script loader.
      Parameters:
        `theScript` - The script to load into.

  - ### Method Detail

    - #### load

          public void load(InputStream stream)

      Load an Encog script.
      Parameters:
        `stream` - The stream to load from.

Copyright © 2014. All Rights Reserved.